Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetType

Gets the type name (as a string) from the transform.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetType(DMPlexTransform tr, DMPlexTransformType *type)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- type - The `DMPlexTransformType` name

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformType`, `DMPlexTransformSetType()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages